/* Copyright 2004-2005 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.codehaus.groovy.grails.web.mapping

import org.codehaus.groovy.grails.web.servlet.mvc.GrailsWebRequest

/**
 * A customizable UrlMappingInfo instance used for forwards and includes
 * 
 * @author Graeme Rocher
 * @since 1.1
 * 
 * Created: Jan 27, 2009
 */

class ForwardUrlMappingInfo implements UrlMappingInfo {

    String controllerName
    String actionName
    String viewName
    String id
    Map parameters

    void setController(String controller) { controllerName = controller }
    void setAction(String action) { actionName = action }
    void setView(String view) { viewName = view }
    void setParams(Map params) { parameters = params }

    public void configure(GrailsWebRequest webRequest) {
        // do nothing
    }

    public boolean isParsingRequest() {
        return false;
    }
}